Summary:	A little globber
Name:		nodejs-glob
Version:	3.1.21
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-glob
Source0:	http://registry.npmjs.org/glob/-/glob-%{version}.tgz
# Source0-md5:	97a60a8f39f7106cb95e45d97afb4e06
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-graceful-fs < 1.3.0
Requires:	nodejs-graceful-fs >= 1.2.0
Requires:	nodejs-inherits < 2.0.0
Requires:	nodejs-inherits >= 1.0.0
Requires:	nodejs-minimatch >= 0.2.0
Requires:	nodejs-minimatch < 0.3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a glob implementation in JavaScript. It uses the minimatch
library to do its matching.

%prep
%setup -q -n package

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/glob
cp -pr glob.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/glob

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/glob
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Apr 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-glob.git;a=log;h=master

* Fri Mar 08 2013 Aria Stewart <aredridel@nbtsc.org> e6f52df
3.1.21

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 0f0ffdc
v3.1.20

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 4a0457a
Up to 3.1.14

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> fd283f5
- G: Development/Libraries

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> f5b11c9
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo

